Package org.eclipse.emf.cdo.view

## Interface CDOViewTargetChangedEvent

- All Superinterfaces:
    `CDOViewEvent`, `org.eclipse.net4j.util.event.IEvent`

      public interface CDOViewTargetChangedEvent
      extends CDOViewEvent

  A `view event` fired when the branch point of a `view` has changed.
  Since:
    3.0
  Author:
    Victor Roldan Betancort
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOBranchPoint` | `getBranchPoint()` |
    `CDOBranchPoint` | `getOldBranchPoint()` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewEvent

      `getSource`

- - ### Method Detail

    - #### getOldBranchPoint

          CDOBranchPoint getOldBranchPoint()

      Since:
        4.2

    - #### getBranchPoint

          CDOBranchPoint getBranchPoint()